<html>
<head>
<style type="text/css">
</style>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
<h3>Syntax help</h3>
<h4></h4>
<p>
    General sytax follows
    <code>
        command_name arg1 arg2 keyword=keyword_argument_value
    </code>
    <br>
    Example of a valid script:
    <pre><code>    move 20 30 40
    image file.jpeg temporary=1
    image video_port=0
    delay 3.1
    ledShape all 30 0 0
</code></pre>
</p>
<h4>Supported commands</h4>
<table class="table table-striped">
<thead>
    <tr>
        <th>Command</th>
        <th>Description</th>
        <th>Arguments</th>
        <th>Keyword arguments</th>
    </tr>
</thead>
<tbody>
    {% for name, command in commands.items() %}
        <tr>
            <th>{{ command.name }}
                {% if command.source == "auto" %}
                    *
                {% endif %}
            </th>
            <td>{{ command.description }}</td>
            <td>
                <ul>
                    {% for arg_definition in command.argument_definitions %}
                        <li>
                            {{ arg_definition["description"] }}
                            {% if arg_definition["type"] != "any" %}
                                ({{ arg_definition["type"] }})
                            {% endif %}
                            {% if arg_definition["optional"] %}
                                [optional]
                            {% endif %}
                        </li>
                    {% endfor %}
                </ul>
            </td>
            <td>
            <ul>
                {% for keyword, arg_definition in command.keyword_argument_definitions.items() %}
                    <li>
                        <strong>{{ keyword }}:</strong> {{ arg_definition["description"] }}
                        {% if arg_definition["type"] != "any" %}
                            ({{ arg_definition["type"] }})
                        {% endif %}
                        {% if arg_definition["optional"] %}
                            [optional]
                        {% endif %}
                    </li>
                {% endfor %}
            </ul>
        </td>
        </tr>
    {% endfor %}
</tbody>
</table>
* These commands were generated automatically from API endpoints, use with caution.
Running these in a script will bypass the API and the commands will be executed synchronously
(unless they implement custom threading), but bypassing the standard pathway may lead
to unexpected issues.
</body>
</html>